Redmine - Defect #18894
Grouping of Boolean field: Both "No" and "blank" tickets are grouped in "none" groups

2015-01-19 06:32 - kaz k

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 2.6.2
Resolution: Fixed Affected version: 25.0
Description
Boolean custom field can have three values; "Yes", "No" and " (blank, or to say, not specified) " if the filed is not specified as
"required".
® Ref.

o |Issue #17003-6
o Wiki ""Boolean: checkbox (enabled/disabled) or radio buttons (null/yes/no) " in RedmineCustomFields

[ think it is OK.

But | found that both "No" and " (blank, or to say, not specified) " are grouped under same name (label) of "none" collapse/expand
indicator lines when | specified "Group results by" the boolean field which is not defined as "required".

The tickets are grouped in 2 groups and it is right | think.

But both groups have "none" indicated in collapse/expand indicator line. It is not a good idea, | think.
Boolean field which is not set as "required" contains 3 values, "Yes", "No" and " (blank, or to say, not specified) ", so it is better to be
grouped in different labels.

Could it be changed the label of "none" for " (blank, or to say, not specified) " to "null", "No Value", or" (blank) " ?

Kind regards,

® Reported version

Redmine 2.5.0.stable. Details are as follows.

1. Test redmine (Windows7)

Environment:

Redmine version

Ruby version

Rails version

Environment

Database adapter

2. Production redmine (Linux)

Environment:

Redmine version

Ruby version

Rails version

Environment

Database adapter

2.5.0.stable

1.9.3-p231 (2012-05-25) [i386-mingw32]
3.2.17

production

Mysqgl2

2.5.0.stable

1.9.3-p484 (2013-11-22) [x86_64-1inux]
3.2.17

production

PostgreSQL
https://www.redmine.org/issues/17003#note-6
https://www.redmine.org/projects/redmine/wiki/RedmineCustomFields

Revision 13921 - 2015-01-19 22:23 - Jean-Philippe Lang

Fixed that boolean custom field groups have same label for blank and false values (#18894).

Revision 14020 - 2015-02-18 12:33 - Jean-Philippe Lang
Merged r13921 (#18894).

History

#1 - 2015-01-19 06:38 - kaz k
- File 02_English_QueryResult_GroupedByBoolean(optional) _BothNoAndBlankAreGroupedUnder-none-.jpg added

Screen capture
Here is a screen capture of query-result grouped by boolean field. In the picture, Booleanioptional is a boolean filed without "required" specification.
You could see 2 groups with "none" group label.

Notes on Label Texts
It is simple to reflect the values to the label texts, ie. Yes/No/null(or "blank").

Notes on translation
| am afraid translation texts may be affected when changing the label texts. For example, "none" is translated to 00" in Japanese.

#2 - 2015-01-19 07:04 - Toshi MARUYAMA

- Status changed from New to Confirmed

#3 - 2015-01-19 07:06 - Toshi MARUYAMA

- Target version set to 2.6.2

#4 - 2015-01-19 10:57 - kaz k

Status changed from New to Confirmed
Target version set to 2.6.2

Thank you.

#5 - 2015-01-19 22:24 - Jean-Philippe Lang

- Subject changed from Grouping of Boolean field in Query: Both "No" and "blank" tickets are grouped in "none" groups. They should better to be
distinguished. to Grouping of Boolean field: Both "No" and "blank" tickets are grouped in "none" groups

- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13921.

kaz k wrote:

Could it be changed the label of "none" for " (blank, or to say, not specified) " to "null", "No Value", or" (blank) " ?

| agree, would you fill a separate ticket for this? Thanks.

#6 - 2015-01-21 02:34 - kaz k

Jean-Philippe Lang wrote:
kaz k wrote:

Could it be changed the label of "none" for " (blank, or to say, not specified) " to "null", "No Value", or" (blank) " ?

| agree, would you fill a separate ticket for this? Thanks.

Per your request, | created a separate ticket, #18918.
https://www.redmine.org/projects/redmine/repository/svn/revisions/13921
https://www.redmine.org/issues/18918

Thank you for your quick response. | appreciate redmine team very much.

#7 - 2015-02-18 12:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed
